package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.bo.Ftd;
import com.brilliance.isc.bo.Ftt;import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ftdgrp extends AbstractCommonVo {
    private Ftd rec;

    private Ftt blk;
    private Ftacbs cbs;

    private PtsptaVo tro;

    private PtsptaVo tri;

    private PtsptaVo act;

    private PtsptaVo ben;

    private PtsptaVo apl;

    private Cbb cbb;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Ftd();
        }
        if (cbb == null) {
            cbb = new Cbb();
        }
        cbb.reset();
        if (cbs == null){
            cbs = new Ftacbs();
        }
        cbs.reset();

        if(tro == null){
            tro = new PtsptaVo();
        }
        tro.reset();
        if(tri == null){
            tri = new PtsptaVo();
        }
        tri.reset();
        if(act == null){
            act = new PtsptaVo();
        }
        act.reset();
        if(ben == null){
            ben = new PtsptaVo();
        }
        ben.reset();
        if(apl == null){
            apl = new PtsptaVo();
        }
        apl.reset();


    }
}
